<bugID>675818<Summary>Add delete button to awesome bar result matches</Summary><Description>Pressing shift+del to remove an awesome bar result is extremely hard to discover, so we should add a button that lets users get rid of unwanted autocomplete matches.

This is part of a larger awesome bar theme refresh:
http://margaretleibovic.com/images/shorlander/AwesomeBarResults-Mockup-i01-_OSX_-v16-Selected.png

(I am aware of bug 411985, but this bug is revisiting the decision that was made there.)</Description></bugID>